import sqlalchemy as sa
from ringo.model import Base
from ringo.model.base import BaseItem, BaseFactory


class TargetFactory(BaseFactory):

    def create(self, user=None, dummy=None):
        new_item = BaseFactory.create(self, user, dummy)
        return new_item


class Target(BaseItem, Base):
    """Docstring for goal extension"""

    __tablename__ = 'targets'
    """Name of the table in the database for this modul. Do not
    change!"""
    _modul_id = None
    """Will be set dynamically. See include me of this modul"""

    # Define columns of the table in the database
    id = sa.Column(sa.Integer, primary_key=True)
    year = sa.Column('year', sa.Integer)
    target = sa.Column('target', sa.Integer)

    # Define relations to other tables

    @classmethod
    def get_item_factory(cls):
        return TargetFactory(cls)
